Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
branch: master
Fetching contributors…

Cannot retrieve contributors at this time

79 lines (73 sloc) 3.014 kb
# Generated by jeweler
# DO NOT EDIT THIS FILE DIRECTLY
# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
# -*- encoding: utf-8 -*-
Gem::Specification.new do |s|
s.name = "mongoid_money"
s.version = "0.2.2"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Jeff Bozek"]
s.date = "2012-02-21"
s.description = "Money datatype for Mongoid. Inspired by Ruby Money. Makes handling money simple. Stores the value in the db as cents. Currently handles USD."
s.email = "jeff.bozek@gmail.com"
s.extra_rdoc_files = [
"LICENSE.txt",
"README.markdown"
]
s.files = [
"lib/mongoid_money.rb",
"lib/mongoid_money/conversions.rb",
"lib/mongoid_money/money.rb"
]
s.homepage = "http://github.com/jeffbozek/mongoid_money"
s.licenses = ["MIT"]
s.require_paths = ["lib"]
s.rubygems_version = "1.8.15"
s.summary = "Money datatype for Mongoid. Inspired by Ruby Money."
s.test_files = [
"spec/conversion_spec.rb",
"spec/money_spec.rb",
"spec/spec_helper.rb",
"spec/support/dummy_money.rb"
]
if s.respond_to? :specification_version then
s.specification_version = 3
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
s.add_development_dependency(%q<bundler>, ["~> 1.0.0"])
s.add_development_dependency(%q<jeweler>, ["~> 1.5.2"])
s.add_development_dependency(%q<rspec>, [">= 0"])
s.add_development_dependency(%q<shoulda>, [">= 0"])
s.add_development_dependency(%q<mongo>, ["~> 1.1"])
s.add_development_dependency(%q<mongo_ext>, [">= 0"])
s.add_development_dependency(%q<mongoid>, ["= 2.0.2"])
s.add_development_dependency(%q<bson_ext>, ["~> 1.3"])
s.add_development_dependency(%q<database_cleaner>, [">= 0"])
s.add_runtime_dependency(%q<mongo>, [">= 1.1"])
s.add_runtime_dependency(%q<mongoid>, [">= 2.0.2"])
else
s.add_dependency(%q<bundler>, ["~> 1.0.0"])
s.add_dependency(%q<jeweler>, ["~> 1.5.2"])
s.add_dependency(%q<rspec>, [">= 0"])
s.add_dependency(%q<shoulda>, [">= 0"])
s.add_dependency(%q<mongo>, ["~> 1.1"])
s.add_dependency(%q<mongo_ext>, [">= 0"])
s.add_dependency(%q<mongoid>, ["= 2.0.2"])
s.add_dependency(%q<bson_ext>, ["~> 1.3"])
s.add_dependency(%q<database_cleaner>, [">= 0"])
s.add_dependency(%q<mongo>, [">= 1.1"])
s.add_dependency(%q<mongoid>, [">= 2.0.2"])
end
else
s.add_dependency(%q<bundler>, ["~> 1.0.0"])
s.add_dependency(%q<jeweler>, ["~> 1.5.2"])
s.add_dependency(%q<rspec>, [">= 0"])
s.add_dependency(%q<shoulda>, [">= 0"])
s.add_dependency(%q<mongo>, ["~> 1.1"])
s.add_dependency(%q<mongo_ext>, [">= 0"])
s.add_dependency(%q<mongoid>, ["= 2.0.2"])
s.add_dependency(%q<bson_ext>, ["~> 1.3"])
s.add_dependency(%q<database_cleaner>, [">= 0"])
s.add_dependency(%q<mongo>, [">= 1.1"])
s.add_dependency(%q<mongoid>, [">= 2.0.2"])
end
end
Jump to Line
Something went wrong with that request. Please try again.